
/****REVAMPED 2024*****/
/****REVAMPED 2024*****/
/****REVAMPED 2024*****/
/****REVAMPED 2024*****/
/****REVAMPED 2024*****/

*, *::before, *::after {
    box-sizing: border-box;
}

p {
    margin: 0;
}

body {
    margin: 0;
    padding: 0;
    min-height: 100vh;
    height: auto;
    box-sizing: border-box;
    background: #00270c url(./img/bg-forb.jpg) no-repeat center center;
    background-size: cover;
    color: #fff;
    font-family: "Montserrat", sans-serif;
    font-size: 16px;
    font-style: normal;
    /* overflow-y: hidden; */
}

img {
    max-width: 100%;
}

.flex {
    display: flex;
    justify-content: center;
    align-items: center;
}

.mobile {
    display: none;
}

.desktop {
    display: block;
}

header {
    width: 100%;
    height: 90px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px 0;
    background: #028843;
}

    header img {
        display: block;
        height: 100%;
    }

main {
    width: 100%;
    max-width: 1270px;
    margin: 0 auto;
    padding: 40px 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#js_ipCode {
    text-transform: uppercase;
}

.section1 {
    display: flex;
    flex-wrap: nowrap;
    margin: 0px auto 45px;
}

    .section1 div {
        margin: 0 10px;
        text-align: center;
    }

.mainTitle {
    position: relative;
    height: 90px;
}

    .mainTitle::before {
        content: "";
        position: absolute;
        width: 75px;
        height: 100%;
        left: -85px;
        background: url(/Content/images/forbidden/img-block.png) no-repeat top center;
        background-size: contain;
    }

.forbidden {
    font-size: 48px;
    font-weight: 700;
    margin-bottom: 10px;
    text-transform: uppercase;
}

.ip {
    font-size: 16px;
    font-weight: 600;
    color: #fee71b;
    text-transform: capitalize;
}

.section2 {
    position: relative;
    width: 100%;
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
    padding: 15px;
    min-height: 400px;
    border: 2px solid #8C0404;
    border-radius: 10px;
    background: linear-gradient(96.49deg, rgb(255,102,102,0.5) 0.75%, rgb(121,0,0,0.5) 43.37%, rgb(121,0,0,0.5) 62.37%,rgba(255,0,0,0.5) 100%);
    backdrop-filter: blur(20px);
    z-index: 2;
    box-shadow: 0 6px 10px 4px rgba(0,0,0,0.4)
}
/*.section2::after {*/
/*    content: "";*/
/*    position: absolute;*/
/*    width: 100%;*/
/*    bottom: 2px;*/
/*    transform:scaleX(0.95);*/
/*    box-shadow: 0 0 10px 6px rgba(0,0,0,0.5);*/
/*    z-index:-1;*/
/*}*/
.dear-user {
    /* font-family: "Inter", sans-serif; */
    font-weight: 700;
    margin-bottom: 30px;
    text-transform: capitalize;
}

    .dear-user img {
        margin-right: 10px;
    }

.live-chat {
    color: #fee71b;
    white-space: pre;
}

.section2 p {
    font-family: "Roboto";
    margin: 20px 0;
}

.section2 .flex-child:first-child {
    flex-basis: 50%;
    padding: 40px 0 0 40px;
}

.section2 .flex-child:last-child {
    flex-basis: 55%;
}

.text-gr {
    color: #b7f2b7;
}

.buttons {
    justify-content: flex-start;
    margin-top: 50px;
}

    .buttons a {
        width: 160px;
        height: 48px;
        border-radius: 8px;
        text-decoration: none;
        color: #000;
        box-shadow: 0px 9px 9px 0px rgba(0, 0, 0, 0.25);
    }

a.btn-chat {
    margin-right: 20px;
    border: 1px solid #FFF186;
    background: linear-gradient(0deg, #FFC330 0%, #FFE639 53.16%, #FFF8C7 126.04%);
}

a.btn-help {
    margin-right: 0;
    color: #fff;
    border: 1px solid #4CB455;
    background: linear-gradient(0deg, #0E7F4B 0%, #007A54 53.16%, #80DB54 126.04%);
}

footer {
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding-top: 50px;
}

.ft-sponsor {
    flex: 1;
    justify-content: space-between;
    padding-right: 30px;
    max-width: 580px;
}

    .ft-sponsor img {
        transition: all 300ms ease;
    }

        .ft-sponsor img:hover {
            transform: scale(1.07);
        }

.ft-title {
    color: #fee71b;
    text-transform: capitalize;
}

.ft-logos {
    margin-top: 10px;
}

    .ft-logos img {
        margin: 0 10px;
    }

.flags {
    flex-basis: 25%;
    justify-content: space-between;
}

    .flags .lang {
        position: relative;
        text-align: center;
        width: 43px;
        height: auto;
        cursor: pointer;
        display: flex;
        align-items: flex-end;
        justify-content: center;
    }

.lang img {
    display: block;
    border-radius: 5px;
    z-index: 2;
    transition: all 300ms ease;
}

.lang.current img {
    box-shadow: 0 0 10px 3px rgba(254, 231, 27,0.75);
}

.lang img:hover {
    transform: scale(1.07);
}

.lang p {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    transition: all 300ms ease;
}

.lang.current p {
    top: -22px;
    opacity: 1;
}

@media (max-width: 992px) {
    header {
        height: 60px;
        padding: 10px;
    }

    .forbidden {
        font-size: calc(5px + 4.5vw);
        white-space: pre;
    }

    .ip {
        font-size: 13px;
    }

    .ft-sponsor {
        max-width: unset;
        justify-content: flex-start;
    }

    .buttons {
        margin-top: 30px;
        justify-content: center;
    }

    .section2 .flex-child:first-child {
        padding: 0;
    }
}

@media (max-width: 768px) {
    .mobile {
        display: block;
    }

    .desktop {
        display: none;
    }

    .mob-banner {
        max-height: 250px;
        margin: 0 auto;
        display: block;
    }

    main {
        padding: 10px;
    }

    .section1 {
        margin: 20px auto;
        padding: 0 20px;
    }

    .mainTitle {
        height: 60px;
    }

        .mainTitle::before {
            width: 50px;
            left: -60px;
        }

    .section2 {
        display: block;
        min-height: unset;
    }

        .section2 .flex-child:last-child {
            margin-top: 15px;
        }

    footer {
        padding-top: 5px;
        flex-direction: column-reverse;
    }

    .flags.flex {
        width: 100%;
        margin: 35px auto 15px;
        justify-content: space-around;
    }

    .ft-sponsor {
        padding-top: 30px;
        justify-content: space-around;
        padding-right: 0;
    }

    .section1 img {
        width: 50px;
    }

    .buttons a {
        font-size: 14px;
    }

    .lang.current p {
        top: -17px;
        opacity: 1;
    }
}

@media (max-width: 550px) {

    .mainTitle::before {
        width: 30px;
        left: -34px;
    }

    .ft-logos img {
        height: 40px;
    }

    .ft-logos .logo-secure {
        height: 28px;
    }

    .ft-logos img {
        margin: 0 5px;
    }

    .lang img {
        height: 25px;
    }

    .lang p {
        font-size: 12px;
    }
}

/* For Modal */
#modal-contacts {
    display: flex;
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    z-index: 9;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: all 300ms ease;
    pointer-events: none;
}

.md-overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(10px);
}

.modal-wrapper {
    position: relative;
    max-width: 800px;
    margin: 0 auto;
    height: auto;
    width: 90%;
}

.md-body {
    position: relative;
    width: 100%;
    padding: 15px;
    border-radius: 8px;
    opacity: 0;
    transform: translateY(-20px);
    transition: all 300ms ease;
    transition-delay: 500ms;
    display: flex !important;
    justify-content: space-between;
    flex-wrap: nowrap;
}

.md-item {
    text-align: center;
    margin: 15px 0;
    padding: 0 20px;
    cursor: pointer;
}

    .md-item img {
        margin-bottom: 1px;
        transition: all 300ms ease;
        max-height: 100px;
    }

.md-bouncing {
    width: fit-content;
    margin: 0 auto;
}

    .md-bouncing p {
        text-transform: capitalize;
    }

    .md-bouncing.hovered img {
        animation: hoverItem 500ms ease forwards;
    }

    .md-bouncing.hovered p {
        text-shadow: 0 0 5px #fee71b, 0 0 5px #fee71b, 0 0 2px #fee71b;
    }

    .md-bouncing.UnHovered img {
        animation: unHoverItem 500ms ease forwards;
    }


#modal-contacts.open {
    display: flex;
    opacity: 1;
    pointer-events: all;
}

.md-body.show {
    animation: fadeIn 300ms linear forwards;
}

.md-body.hide {
    animation: fadeOut 300ms linear forwards;
}

.ml-close {
    position: absolute;
    right: -12px;
    top: -12px;
    transition: all 400ms ease;
    -webkit-transition: all 400ms ease;
    color: white;
    text-decoration: none !important;
    width: 24px;
    height: 24px;
    background: #aaaaaa;
    border-radius: 50%;
    text-align: center;
}

    .ml-close > span {
        display: block;
        color: #fff;
        font-size: 16px;
        line-height: 25px;
    }

    .ml-close:hover {
        border-radius: 50%;
        background: #da251d;
    }

        .ml-close:hover span {
            animation: rotateIn ease 1s forwards;
            -webkit-animation: rotateIn ease 1s forwards;
        }

@media (max-width: 768px) {
    .md-body {
        flex-wrap: wrap;
        justify-content: space-around;
    }

    .md-item {
        flex-basis: unset;
        text-align: center;
    }

        .md-item img {
            max-height: 65px;
        }

        .md-item p {
            font-size: 14px;
        }

    .ml-close {
        right: 2px;
        top: -5px;
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
        transform: translateY(-20px);
    }

    100% {
        opacity: 1;
        transform: translateY(0px);
    }
}

@keyframes fadeOut {
    0% {
        opacity: 1;
        transform: translateY(0px);
    }

    100% {
        opacity: 0;
    }
}

@keyframes rotateIn {
    0% {
        transform: rotate(0)
    }

    100% {
        transform: rotate(180deg)
    }
}

@keyframes hoverItem {
    0% {
        transform: translateY(0)
    }

    20% {
        transform: translateY(-30px);
    }

    40% {
        transform: translateY(-15px);
    }

    60% {
        transform: translateY(-26px);
    }

    80% {
        transform: translateY(-17px);
    }

    100% {
        transform: translateY(-20px);
    }
}

@keyframes unHoverItem {
    0% {
        transform: translateY(15px)
    }

    20% {
        transform: translateY(-10px);
    }

    40% {
        transform: translateY(10px);
    }

    60% {
        transform: translateY(-5px);
    }

    80% {
        transform: translateY(5px);
    }

    100% {
        transform: translateY(0px);
    }
}
